Delphes not reading HEP files

Asked by Ralph Edezhath on 2014-04-24

Hi,
Delphes seems to have trouble reading the HEP files generated by MG5+Pythia. I'm using version MG5 2.1.1, did "install pythia-pgs" and "install Delphes", and using the default Delphes and Pythia cards. The error is

"** ERROR: Unsupported block type.
** Reading delphes.root
Error in <TChain::LoadTree>: Cannot find tree with name Delphes in file delphes.root
** Input file contains 0 events"

I get the same error when I try to process the HEP file with a separate Delphes 3.0.1.2 installation.

thanks
Ralph

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
Pavel Demin Edit question
Solved by:
Pavel Demin
Solved:
2014-04-25
Last query:
2014-04-25
Last reply:
2014-04-25

Hi,

Are you sure that this is a Delphes problem? (if yes, you should have contact them)
How many event did you have in the LHE output of pythia?

Cheers,

Olivier
On Apr 24, 2014, at 7:32 PM, Ralph Edezhath <email address hidden> wrote:

> New question #247587 on MadGraph5_aMC@NLO:
> https://answers.launchpad.net/mg5amcnlo/+question/247587
>
> Hi,
> Delphes seems to have trouble reading the HEP files generated by MG5+Pythia. I'm using version MG5 2.1.1, did "install pythia-pgs" and "install Delphes", and using the default Delphes and Pythia cards. The error is
>
> "** ERROR: Unsupported block type.
> ** Reading delphes.root
> Error in <TChain::LoadTree>: Cannot find tree with name Delphes in file delphes.root
> ** Input file contains 0 events"
>
> I get the same error when I try to process the HEP file with a separate Delphes 3.0.1.2 installation.
>
> thanks
> Ralph
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Ralph Edezhath (ralph-angelus) said : #2

It doesn't seem to be a Delphes problem, Michele tried to run MG5 2.1.1 and was getting the same issue also https://bugs.launchpad.net/mg5amcnlo/+bug/1312359 There were 10K events. The LHE output is fine, but somewhere between that and the STDHEP output, the format becomes something Delphes cannot read

Hi Ralph,

Pavel recently change the STDHEP format to allow file larger than 4Go.
I think that he release the change in the Delphes version.
Did you use the latest version of Delphes?

I assigned this question to him. Since he makes the changes.

Cheers,

Olivier

Best Pavel Demin (pavel-demin) said : #4

Hi Ralph,

I did not realize that there is already a MG5 release with the new STDHEP format. The release date on the main page is still 2014-02-21.

I've just released Delphes 3.1.1 that supports the new STDHEP format.

Could you, please reinstall Delphes and give it another try?

Regards,

Pavel

Ralph Edezhath (ralph-angelus) said : #5

It's working now, thank you!

Hi Pavel,

They are no new version of MG5 out. Just a new one of the pythia-pgs package.
So the new format is not yet available for NLO run but it is for LO one.

Thanks for the Delphes update.

Olivier

On Apr 25, 2014, at 9:11 PM, Pavel Demin <email address hidden> wrote:

> Question #247587 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/247587
>
> Pavel Demin proposed the following answer:
> Hi Ralph,
>
> I did not realize that there is already a MG5 release with the new
> STDHEP format. The release date on the main page is still 2014-02-21.
>
> I've just released Delphes 3.1.1 that supports the new STDHEP format.
>
> Could you, please reinstall Delphes and give it another try?
>
> Regards,
>
> Pavel
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.